commit:     0c9299fa3490fe7d3b5786c3b8ae8fce0480615c
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Jul  1 05:36:57 2017 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Jul  2 05:41:02 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0c9299fa

dev-ruby/pg: add 0.21.0

Package-Manager: Portage-2.3.6, Repoman-2.3.1

 dev-ruby/pg/Manifest         |  1 +
 dev-ruby/pg/pg-0.21.0.ebuild | 55 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-ruby/pg/Manifest b/dev-ruby/pg/Manifest
index 4cc8b40dbac..ed658c16f56 100644
--- a/dev-ruby/pg/Manifest
+++ b/dev-ruby/pg/Manifest
@@ -1,2 +1,3 @@
 DIST pg-0.17.1.gem 142848 SHA256 
e7933e8f7f184c28e820ed85ddfb3ad8a13933b2b2ab8656aa8f81cb0aa610a6 SHA512 
fb637256d084af3b41ba4130f866924df957a63c29d029b99995bf553e545b3d4064e682b00d0604bf495a853a8800b9c8eba34718e96c651c9a697281ae4a62
 WHIRLPOOL 
81e0a99d023a49b29b8be1b11290cd0f102cec92adc63a8ed10e215dcd3ef43b8ce5e1916d0f155790e9304670bb0c96921346663798acb5fb973e47fdadfe9f
 DIST pg-0.18.4.gem 219648 SHA256 
62f0dce2fd0b3b0f684b2d60e09b3f515e7eb30f8f736bf5ede5b49e5425bb1d SHA512 
48e792756c7ee205164b59a9515ace6320150f0ce1907293f8c1a736300c62c0b38c1be49e8ad4f1a50f29abc7f72bb43e742a8e63d9606eff4c7d2191a4fb74
 WHIRLPOOL 
90db9badec71bb8446eb4ef5f6cf1cd45ecc94b4ccf6f439cc0c5df5c060a475ab815762cbe98d6ab2688c11153b04dff5166ac4e8761a007fb15ee4674bf031
+DIST pg-0.21.0.gem 214016 SHA256 
10b7cc05782236fb840c247a4ecb859f4b77001416774e1646c911c6b1567003 SHA512 
590a8c34487d2cf030082cfff87b2cc83b636df06a931e394acfb098ecb5728e793d777f125b036ee9953bbd21ec5facf91c932930acccb507d3394f2fc4cc5b
 WHIRLPOOL 
822997e37bd35b5d343817fe46aa1d90814245feb5fdc08ae7cf66ff0bac79239ca88075eebbe47a49137e4298195e7ae9e6f92d108c5a16cb7d821ca234f79a

diff --git a/dev-ruby/pg/pg-0.21.0.ebuild b/dev-ruby/pg/pg-0.21.0.ebuild
new file mode 100644
index 00000000000..6e3115bb8c2
--- /dev/null
+++ b/dev-ruby/pg/pg-0.21.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby21 ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="ChangeLog Contributors.rdoc README.rdoc History.rdoc"
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="Ruby extension library providing an API to PostgreSQL"
+HOMEPAGE="https://bitbucket.org/ged/ruby-pg/";
+
+LICENSE="|| ( GPL-2 Ruby )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux 
~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris 
~x64-solaris ~x86-solaris"
+IUSE=""
+
+RDEPEND+=" dev-db/postgresql:*"
+DEPEND+=" dev-db/postgresql
+       test? ( >=dev-db/postgresql-9.4[server,threads] )"
+
+all_ruby_prepare() {
+       # hack the Rakefile to make it sure that it doesn't load
+       # rake-compiler (so that we don't have to depend on it and it
+       # actually works when building with USE=doc).
+       sed -i \
+               -e '/Rakefile.cross/s:^:#:' \
+               -e '/ExtensionTask/,/^end$/ s:^:#:' \
+               Rakefile || die
+}
+
+each_ruby_configure() {
+       ${RUBY} -C ext extconf.rb || die "extconf.rb failed"
+}
+
+each_ruby_compile() {
+       emake V=1 -C ext CFLAGS="${CFLAGS} -fPIC" archflag="${LDFLAGS}"
+       cp ext/*$(get_libname) lib || die
+}
+
+each_ruby_test() {
+       if [[ "${EUID}" -ne "0" ]]; then
+               # Make the rspec call explicit, this way we don't have to depend
+               # on rake-compiler (nor rubygems) _and_ we don't have to rebuild
+               # the whole extension from scratch.
+               RSPEC_VERSION=3 ruby-ng_rspec
+       else
+               ewarn "The userpriv feature must be enabled to run tests."
+               eerror "Testsuite will not be run."
+       fi
+}

Reply via email to